LTO-DUMP(1) | GNU | LTO-DUMP(1)

# NAME

lto-dump - Tool for dumping LTO object files

# SYNOPSIS

lto-dump [-list]
[-demangle]
[-defined-only]
[-print-value]
[-name-sort]
[-size-sort]
[-reverse-sort]
[-no-sort]
[-symbol=]
[-objects]
[-type-stats]
[-tree-stats]
[-gimple-stats]
[-dump-level=]
[-dump-body=]
[-help] lto-dump

# DESCRIPTION

lto-dump is a tool you can use in conjunction with GCC to dump link time optimization object files.

# OPTIONS

-list
  Dumps list of details of functions and variables.
-demangle
  Dump the demangled output.
-defined-only
  Dump only the defined symbols.
-print-value
  Dump initial values of the variables.
-name-sort
  Sort the symbols alphabetically.
-size-sort
  Sort the symbols according to size.
-reverse-sort
  Dump the symbols in reverse order.
-no-sort
  Dump the symbols in order of occurrence.
-symbol=
  Dump the details of specific symbol.
-objects
  Dump the details of LTO objects.
-type-stats
  Dump the statistics of tree types.
-tree-stats
  Dump the statistics of trees.
-gimple-stats
  Dump the statistics of gimple statements.
-dump-level=
  For deciding the optimization level of body.
-dump-body=
  Dump the specific gimple body.
-help
  Display the dump tool help.

# COPYRIGHT

Copyright (c) 2017-2022 Free Software Foundation, Inc.

Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with the Invariant Sections being "GNU General Public License" and "Funding Free Software", the Front-Cover texts being (a) (see below), and with the Back-Cover Texts being (b) (see below). A copy of the license is included in the gfdl(7) man page.

(a) The FSF's Front-Cover Text is:

         A GNU Manual

(b) The FSF's Back-Cover Text is:

         You have freedom to copy and modify this GNU Manual, like GNU
         software.  Copies published by the Free Software Foundation raise
         funds for GNU development.

2025-07-11 | gcc-12.5.0